/*******************************************************************************
 * ParticleModuleBeamNoise generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleBeamNoise extends ParticleModuleBeamBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object);

var(LowFreq) bool bLowFreq_Enabled;
var(LowFreq) bool bNRScaleEmitterTime;
var(LowFreq) bool bSmooth;
var const bool bNoiseLock;
var(LowFreq) bool bOscillate;
var(LowFreq) bool bUseNoiseTangents;
var(LowFreq) bool bTargetNoise;
var(LowFreq) bool bApplyNoiseScale;
var(LowFreq) int Frequency;
var(LowFreq) int Frequency_LowRange;
var(LowFreq) RawDistributionVector NoiseRange;
var(LowFreq) RawDistributionFloat NoiseRangeScale;
var(LowFreq) RawDistributionVector NoiseSpeed;
var(LowFreq) float NoiseLockRadius;
var(LowFreq) float NoiseLockTime;
var(LowFreq) float NoiseTension;
var(LowFreq) RawDistributionFloat NoiseTangentStrength;
var(LowFreq) int NoiseTessellation;
var(LowFreq) float FrequencyDistance;
var(LowFreq) RawDistributionFloat NoiseScale;

defaultproperties
{
    NoiseRange=Distribution=DistributionVectorConstant'Default__ParticleModuleBeamNoise.DistributionNoiseRange',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=3,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing NoiseRange
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    NoiseRangeScale=Distribution=DistributionFloatConstant'Default__ParticleModuleBeamNoise.DistributionNoiseRangeScale',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing NoiseRangeScale
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    NoiseSpeed=Distribution=DistributionVectorConstant'Default__ParticleModuleBeamNoise.DistributionNoiseSpeed',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=3,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing NoiseSpeed
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    NoiseLockRadius=1.0
    NoiseTension=0.50
    NoiseTangentStrength=Distribution=DistributionFloatConstant'Default__ParticleModuleBeamNoise.DistributionNoiseTangentStrength',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing NoiseTangentStrength
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    NoiseTessellation=1
    NoiseScale=Distribution=DistributionFloatConstantCurve'Default__ParticleModuleBeamNoise.DistributionNoiseScale',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing NoiseScale
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
}